Upgrade elastic stack from 5.6 to 6.x


(Sandeep) #1

I am trying to upgrade from 5.6 to 6.x and when I run any cluster checkup's I am getting errors in index settings

.security errors,
.kibana errors,
.triggered watches
.watches

all of the errors says "this index must be reindexed in order to upgrade the elastic stack". Please help me out. Thank you.


(Mark Walkom) #2

Please choose better topic titles that describe your problem, "Upgrade" really gives us no idea what the issue is and it's unlikely to get many people look at your request because of that.

Ok, so have you followed the rest of the recommendation? It should give you a bit more info.


(David Pilato) #3

Just use the reindex helper which is in the Kibana interface (xpack basic / trial).


(Sandeep) #4

I do not have a xpack installed as of now. I will install x-pack and will try the reindex helper. I have one more question, I want to get winlog beat agents on multiple machines is there any script or msi package that I can make use of? Thank you.


(Sandeep) #5

I have changed the topic name, I am trying to follow the instructions that I found on elastic.co website and having issues with snapshot location trying to make it to work. Thanks for the help.


(system) #6

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.